### Hierarchy

- DropdownService

### Implements

- OnDestroy

## Index

### Constructors

- constructor

### Properties

- _offset
- animationFrameService
- animationFrameSubscription
- menuInstance
- placeholderService

### Accessors

- offset

### Methods

- appendToBody
- appendToDropdown
- ngOnDestroy
- positionDropdown
- updatePosition

## Constructors

### constructor

- new DropdownService(placeholderService: PlaceholderService, animationFrameService: AnimationFrameService): DropdownService

- - Defined in src/dropdown/dropdown.service.ts:30

  #### Parameters

  - ##### placeholderService: PlaceholderService

  - ##### animationFrameService: AnimationFrameService

  #### Returns DropdownService

## Properties

### Protected _offset

_offset: object = defaultOffset

- Defined in src/dropdown/dropdown.service.ts:30

#### Type declaration

- ##### left: number

- ##### top: number

### Protected animationFrameService

animationFrameService: AnimationFrameService

- Defined in src/dropdown/dropdown.service.ts:34

### Protected animationFrameSubscription

animationFrameSubscription: Subscription = new Subscription()

- Defined in src/dropdown/dropdown.service.ts:28

### Protected menuInstance

menuInstance: HTMLElement

- Defined in src/dropdown/dropdown.service.ts:22

### Protected placeholderService

placeholderService: PlaceholderService

- Defined in src/dropdown/dropdown.service.ts:33

## Accessors

### offset

offset:

- Defined in src/dropdown/dropdown.service.ts:12
- Defined in src/dropdown/dropdown.service.ts:16

## Methods

### appendToBody

- appendToBody(parentRef: HTMLElement, menuRef: HTMLElement, classList: any): HTMLElement

- - Defined in src/dropdown/dropdown.service.ts:44

  #### Parameters

  - ##### parentRef: HTMLElement

  - ##### menuRef: HTMLElement

  - ##### classList: any

  #### Returns HTMLElement

### appendToDropdown

- appendToDropdown(hostRef: HTMLElement): HTMLElement

- - Defined in src/dropdown/dropdown.service.ts:77

  #### Parameters

  - ##### hostRef: HTMLElement

  #### Returns HTMLElement

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/dropdown/dropdown.service.ts:102

  #### Returns void

### Protected positionDropdown

- positionDropdown(parentRef: any, menuRef: any): void

- - Defined in src/dropdown/dropdown.service.ts:106

  #### Parameters

  - ##### parentRef: any

  - ##### menuRef: any

  #### Returns void

### updatePosition

- updatePosition(parentRef: any): void

- - Defined in src/dropdown/dropdown.service.ts:98

  #### Parameters

  - ##### parentRef: any

  #### Returns void

Generated using TypeDoc